package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.Cost;

import java.util.List;

/**
 * @author shenyifei
 */
public interface CostGateway {
    Cost save(CostCreateCmd costCreateCmd);

    IPage<Cost> page(CostPageQry costPageQry);

    List<Cost> list(CostListQry costListQry);

    Cost update(CostUpdateCmd costUpdateCmd);

    Cost show(CostShowQry costShowQry);

    void destroy(CostDestroyCmd costDestroyCmd);

	void drag(CostDragCmd costDragCmd);
}

